% calculate point spread function
D = 256;
circ = fftprep(imread('circ16.tif'),D);
imwrite(circ,'circ.jpg');
[p1, vref] = psf(circ);
view = logim(p1,3);
imwrite(view,'circ_psf.jpg');

% compare FFT to analytic curve
d = 32;
a = D/d;
s = 20;
u = linspace(-s,s,500);
v = somb(u/a).^2;
idx = -s:s;
plot(u,v,'k',idx,p1(129,129+idx),'o');
xlabel('radial distance (pixels)');
ylabel('value');