% calculate point spread function
N = 256;
circ = fftprep(imread('circ16.tif'),N);
[p1, vref] = psf(circ);
view = logim(p1,8);
imwrite(view,'circ_psf5.jpg');

% compare FFT to analytic curve
d = 32;
a = N/d;
k = (-N/2:N/2-1);
x = ones(N,1)*k;
y = k'*ones(1,N);
r = sqrt(x.*x+y.*y)/a;
v = somb(r).^2;
z = logim(v,8);
imwrite(z,'circ_exact.jpg');
